最終更新:2013-04-16 (火) 07:26:15 (1619d)  

E_STRICT はてなブックマークを見る
Top / E_STRICT

  • E_STRICTエラーレベル定数はPHP 5.3.0で導入されたもので、当時はE_ALLには含まれていなかった。でもPHP 5.4.0からはE_ALLに含まれるようになった。

PHPのバージョン別の、すべてのエラーを表示させるための設定

  • < 5.3 -1 or E_ALL
  • 5.3 -1 or E_ALL | E_STRICT
  • > 5.3 -1 or E_ALL

関連

  • E_ALL - サポートされる全てのエラーと警告。 PHP 5.4.0 より前のバージョンでは、E_STRICT レベルのエラーは除く。